List Evals
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/evals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/evals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"kind": "eval-source-document",
"id": "<string>",
"name": "<string>",
"targetKind": "agent",
"target": "<string>",
"source": {
"filePath": "<string>",
"exportName": "<string>",
"content": "<string>"
},
"dataset": {
"editable": true,
"dynamic": true,
"path": "<string>",
"examples": [
{
"id": "<string>",
"input": null,
"reference": null,
"metadata": {}
}
]
},
"metrics": [
{
"name": "<string>",
"editable": true,
"dynamic": true,
"threshold": {
"min": 123,
"max": 123
},
"config": {}
}
],
"repetitions": 1,
"tags": [
"<string>"
],
"metadata": {},
"editableFields": [],
"dynamicFields": [],
"capabilities": [],
"description": "<string>"
}
],
"errors": [
{
"filePath": "<string>",
"error": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}Lists source-backed eval definitions from the selected source target.
GET
/
projects
/
{project_reference}
/
evals
List Evals
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Query Parameters
Provide the runtime target kind.
Available options:
main_branch, environment, preview_branch Provide the target environment id.
Provide the target branch id.
Provide the source target kind.
Available options:
project, main_branch, environment, preview_branch ⌘I